Teams
These API endpoints are related to our teams system
Records the content version of a team asset (avatar/banner) that was just uploaded to the CDN, so it is returned in the entity's asset_versions.
The file itself is uploaded through the frontend's upload gateway, not here. Returns a 204 on success.
User-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
tid*stringThe team's ID
kind*stringThe asset kind: banner, or avatar for teams
application/json- body
version?stringLowercase hex prefix (16 to 64 chars) of the uploaded file's SHA-256
Success
application/json- response
context?Context of the error. Usually used for validation error contexts
message?stringMessage of the error
curl -X PUT 'https://spider.omniplex.gg/teams/string/assets/string' \ -H 'Content-Type: application/json' \ -d '{}'{ "context": { "property1": "string", "property2": "string" }, "message": "string"}Gets all permissions that a team can have
Success
application/json- response
perms?array<>curl -X GET 'https://spider.omniplex.gg/teams/meta/permissions'{ "perms": [ { "category": "string", "dangerous": true, "desc": "string", "id": "string", "name": "string" } ]}Gets a team by ID
UserUser-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
id*stringTeam ID
targets*stringEntities to get. Can be one of the following: team_member, bot, server. Comma-seperated
Success
application/json- response
approximate_votes?integerThe team's approximate vote count.
asset_versions?Content versions of uploaded CDN assets by kind (avatar/banner). Append as ?v= to the asset URL. A missing kind means unknown, not absent
created_at?stringThe time the team was created
date-timeentities?The entities of the team
extra_links?array<>The teams's links that it wishes to advertise
id?stringThe ID of the team
name?stringThe name of the team
nsfw?booleanWhether the team is NSFW (primarily makes NSFW content)
service?stringThe service which added the team (api/infernoplex) etc.
short?stringThe teams's short description if it has one, otherwise null
tags?array<>The teams's tags if it has any, otherwise null
updated_at?stringThe time the team was last updated
date-timevanity?stringThe team's vanity URL
vanity_ref?stringThe corresponding vanities itag, this also works to ensure that all teams have an associated vanity
uuidvote_banned?booleanWhether the team is banned from voting
votes?integerThe team's vote count
curl -X GET 'https://spider.omniplex.gg/teams/string?targets=string'{ "approximate_votes": 0, "asset_versions": { "property1": "string", "property2": "string" }, "created_at": "2019-08-24T14:15:22Z", "entities": { "bots": [ { "approximate_votes": 0, "asset_versions": { "property1": "string", "property2": "string" }, "boosted_until": "2019-08-24T14:15:22Z", "bot_id": "string", "card_color": "string", "clicks": 0, "created_at": "2019-08-24T14:15:22Z", "featured_until": "2019-08-24T14:15:22Z", "hidden_stats": [ "string" ], "highlighted": true, "invite_clicks": 0, "library": "string", "nsfw": true, "premium": true, "servers": 0, "shards": 0, "short": "string", "spotlighted_until": "2019-08-24T14:15:22Z", "supporter_badge": true, "tags": [ "string" ], "type": "string", "user": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" }, "vanity": "string", "vanity_ref": "e1b95001-3370-4367-9787-1fb904c7b8c7", "views_30d": 0, "vote_blitz_until": "2019-08-24T14:15:22Z", "votes": 0 } ], "members": [ { "created_at": "2019-08-24T14:15:22Z", "data_holder": true, "flags": [ "string" ], "itag": "6b5f8e7b-1e8c-4611-b693-ee8faa950c62", "mentionable": true, "service": "string", "team_id": "string", "user": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" } } ], "servers": [ { "approximate_votes": 0, "asset_versions": { "property1": "string", "property2": "string" }, "avatar": "string", "boosted_until": "2019-08-24T14:15:22Z", "card_color": "string", "clicks": 0, "featured_until": "2019-08-24T14:15:22Z", "hidden_stats": [ "string" ], "highlighted": true, "invite_clicks": 0, "name": "string", "nsfw": true, "online_members": 0, "premium": true, "server_id": "string", "short": "string", "spotlighted_until": "2019-08-24T14:15:22Z", "state": "string", "supporter_badge": true, "tags": [ "string" ], "total_members": 0, "type": "string", "vanity": "string", "vanity_ref": "e1b95001-3370-4367-9787-1fb904c7b8c7", "views_30d": 0, "votes": 0 } ], "targets": [ "string" ] }, "extra_links": [ { "name": "string", "value": "string" } ], "id": "string", "name": "string", "nsfw": true, "service": "string", "short": "string", "tags": [ "string" ], "updated_at": "2019-08-24T14:15:22Z", "vanity": "string", "vanity_ref": "e1b95001-3370-4367-9787-1fb904c7b8c7", "vote_banned": true, "votes": 0}Gets the minimal SEO information about a team for embed/search purposes. Used by v4 website for meta tags
id*stringThe team ID, name or vanity
Success
application/json- response
avatar?stringThe entities resolved avatar URL (not just hash)
id?stringID of the entity
name?stringName of the entity
short?stringShort description of the entity
vanity?stringThe entity's vanity code, used to build its canonical URL. Omitted when it has none
curl -X GET 'https://spider.omniplex.gg/teams/string/seo'{ "avatar": "string", "id": "string", "name": "string", "short": "string", "vanity": "string"}Creates a team. Returns a 201 with the team ID on success.
UserUser-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
application/json- body
extra_links?array<>The team's links that it wishes to advertise
name?stringnsfw?booleanWhether the team is NSFW (primarily makes NSFW content)
short?stringtags?array<string>Success
application/json- response
team_id?stringThe ID of the created team
curl -X POST 'https://spider.omniplex.gg/teams' \ -H 'Content-Type: application/json' \ -d '{}'{ "team_id": "string"}Returns the resolved permissions a user has on an entity
id*stringThe user's ID
target_type*stringThe target type of the entity
target_id*stringThe target ID of the entity
Success
application/json- response
perms?array<>The user's permissions on an entity
curl -X GET 'https://spider.omniplex.gg/users/string/string/string/perms'{ "perms": [ "string" ]}Edits a team. Returns a 204 on success.
User-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
tid*stringTeam ID
application/json- body
extra_links?array<>The team's links that it wishes to advertise
name?stringnsfw?booleanWhether the team is NSFW (primarily makes NSFW content)
short?stringtags?array<string>Success
application/json- response
context?Context of the error. Usually used for validation error contexts
message?stringMessage of the error
curl -X PATCH 'https://spider.omniplex.gg/teams/string' \ -H 'Content-Type: application/json' \ -d '{}'{ "context": { "property1": "string", "property2": "string" }, "message": "string"}Deletes the team. Requires the 'Owner' permission. Returns a 204 on success
User-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
tid*stringTeam ID
Success
application/json- response
context?Context of the error. Usually used for validation error contexts
message?stringMessage of the error
curl -X DELETE 'https://spider.omniplex.gg/teams/string'{ "context": { "property1": "string", "property2": "string" }, "message": "string"}Adds a member to a team. Returns a 204 on success
User-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
tid*stringTeam ID
application/json- body
perms?array<>The initial permissions to give to the user
user_id?stringThe ID of the user to add to the team
Success
application/json- response
context?Context of the error. Usually used for validation error contexts
message?stringMessage of the error
curl -X PUT 'https://spider.omniplex.gg/teams/string/members' \ -H 'Content-Type: application/json' \ -d '{}'{ "context": { "property1": "string", "property2": "string" }, "message": "string"}Edits a members permissions on a team. Returns a 204 on success
User-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
tid*stringTeam ID
mid*stringTeam Member ID
application/json- body
data_holder?booleanWhether the user is a data holder responsible for all data on the team. That is, should performing mass-scale operations on them affect the team
mentionable?booleanWhether the user is mentionable Whether the user is mentionable (for alerts in bot-logs etc.)
perms?array<>The permissions to set. If empty, will not update
Success
application/json- response
context?Context of the error. Usually used for validation error contexts
message?stringMessage of the error
curl -X PATCH 'https://spider.omniplex.gg/teams/string/members/string' \ -H 'Content-Type: application/json' \ -d '{}'{ "context": { "property1": "string", "property2": "string" }, "message": "string"}Deletes a member from the team. Users can always delete themselves. Returns a 204 on success
User-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
tid*stringTeam ID
mid*stringMember ID
Success
application/json- response
context?Context of the error. Usually used for validation error contexts
message?stringMessage of the error
curl -X DELETE 'https://spider.omniplex.gg/teams/string/members/string'{ "context": { "property1": "string", "property2": "string" }, "message": "string"}